Subject: Re: [PATCH] Clarify the "cannot lock existing info/refs" error

From: Clemens Buchacher <[email-masked]>
Date: Thu, 5 Mar 2009 09:50:52 +0100

On Thu, Mar 05, 2009 at 08:00:37AM +0000, John Tapsell wrote:
> On google I found that people had been getting that error if they have
> the wrong password.

That's easy enough to verify. Using the wrong username/password I get

	error: Cannot access URL $url, return code 22
	error: failed to push some refs to '$url'

which is not very helpful, but otherwise unrelated.

> -fprintf(stderr, "Error: cannot lock existing info/refs\n");
> +error("cannot lock existing info/refs on remote server\n");

That's a less ambiguous but equally unhelpful error message.